Сайт | Скачать | Видео | Wiki

Автор Тема: LF (linux frugal). PoliArch 13.10 XFCE  (Прочитано 2966 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 24040
  • Репутация: +173/-0
    • PuppyRus-A
LF (linux frugal). PoliArch 13.10 XFCE
« : 23 Январь 2014, 13:22:13 »
LF (linux frugal). XFCE i686 porteus-initrd pfs-util kernel 3.11.3-pf (PRA)
PoliArch  GNU / Linux для тех. обслуживания и восстановления компьютера. PoliArch - это проект Туринского политеха. Локаль по умолчанию - итальянская (была)

Цель работы: контрольный дистрибутив для PRA01. Старший толстый брат.
Набор софта
Сделанные в исходном iso изменения:
Iso был с автоопределением  32\64 бит. 64 убрал
Пакетная база заморожена на 29.09.2013 (как у PRA01), что дает полную совместимость с PRA01 и его pfs-репой
Приделал автозагрузку Х от юзера live c рус. локалью
Добавил плагины панели multiload, whiskermenu
Удалил Teamviewer, firefox (есть в PRA репе) , vim
Удалил man, нерус. локали, отделил DEV скриптом trim
Взял конфиги XFCE здесь

Нерешенные проблемы:
Не работает монтирование через ярлыки раб. стола
Меню правого клика частично не работает
Tor на итальянском
Некоторые PRA скрипты требуют подстройки

Параметры загрузки
Пароли: у root и live - woofwoof
DEVX: подходит от PRA01 + PoliArch-13.10-130928_DEV.pfs
Скачать
« Последнее редактирование: 27 Ноябрь 2014, 16:13:12 от sfs »

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 24040
  • Репутация: +173/-0
    • PuppyRus-A
Re:LF (linux frugal). PoliArch 13.10 XFCE
« Ответ #1 : 23 Январь 2014, 16:49:13 »
Дописал и дозалил в шапку про DEVX
Есть этот же дистр, но обновленный до 140118. Могу выложить или сделайте сами:
1. unsquashfs 040-PoliArch-13.10-130928b.pfs
2. chroot.sh squashfs-root
3. изменить в /etc/pacman.d/mirrorlist Server=http://seblu.net/a/arm/2013/09/28/$repo/os/$arch на нужную дату
4. pacman -Syy && exit
5. trim squashfs-root && mkpfs squashfs-root && mkpfs squashfs-root_DEV
Так же можно обновить и PRA но будет потеряна совместимость с дистром форума со всеми вытекающими последствиями

Для чего? Например - надо собрать AUR и в зависимостях прописана версия пакета > чем в PRA
Частичные обновления (только этот пакет) в арче не рекомендуются